/*
 * 
 * Trigger Detect
 * 
 * 
 * Detecting triggers is essential to interact with other modules, for example to generate short bursts of sounds
 * Try the output of simple-lfo.ino with this patch and open the serial monitor to see what happens!
 * 
 * A3 = Trigger in
 * 
 */

bool triggered; // logic: trigered, yes or no
long randNumber; //variable to store random number
int pwmPin = 11; //define output pin, Meergranen output pin is 11



void setup() {
  pinMode(pwmPin,OUTPUT);
  Serial.begin(9600); // debugging (see if trigger is registered)
}

void loop() {
  
  int input3 = digitalRead(A3); // read analog pin 3
  
  //  trigger 
  if(input3 && !triggered) { //if there is a reading on input3 and the bool condition triggered is not true do
      Serial.println("I hear a trigger!");
      // DO SOMETHING ON TRIGGER HERE
        for(int i=0;i<2000;i++){ 
        randNumber = random(10, 100); //generate random number between 10 and 100
        digitalWrite(pwmPin, LOW); //set output pin to LOW (0v)
        delayMicroseconds(randNumber);//wait for randomNumber (10-100 Mircroseconds (0.00001-0.0001 seconds))
        digitalWrite(pwmPin, HIGH); //set output pin to HIGH (5v)
        delayMicroseconds(randNumber); //wait for randomNumber (10-100 Mircroseconds (0.00001-0.0001 seconds))
     
      triggered = true;
      }
}      
    else if(!input3 && triggered) { //if there is no reading on input3 and condition triggered is true (aka sound is playing), set triggered to false, aka stop playing 
      // STOP WHEN NO TRIGGER IS PRESENT (or do something else ;)
      triggered = false; 
    }

}
